petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitorDefault

Monitors progress of the SNES solvers (default).

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorDefault(SNES snes,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *vf)

Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| its | - iteration number Many br
| fgnorm | - 2-norm of residual Many br
| vf | - viewer and format structure Many br

### Notes

This routine prints the residual norm at each iteration. Many br

Many br

### Keywords

SNES, nonlinear, default, monitor, norm

### See Also

SNESMonitorSet(), SNESMonitorSolution()

Level:intermediate
Location:src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html